ldapadd -x -W -D cn=Manager,dc=stateless-demo,dc=devel,dc=redhat,dc=com <<EOF

dn: ou=services,dc=stateless-demo,dc=devel,dc=redhat,dc=com
objectClass: organizationalUnit
ou: services

# top-level container
dn: dc=stateless,ou=services,dc=stateless-demo,dc=devel,dc=redhat,dc=com
objectClass: dcObject
objectClass: statelessContainer
dc: stateless

# hosts container
dn: dc=hosts,dc=stateless,ou=services,dc=stateless-demo,dc=devel,dc=redhat,dc=com
objectClass: dcObject
objectClass: statelessContainer
dc: hosts

# dummy host
dn: macAddress=00:00:00:00:00:00,dc=hosts,dc=stateless,ou=services,dc=stateless-demo,dc=devel,dc=redhat,dc=com
objectClass: statelessClient
macAddress: 00:00:00:00:00:00
statelessConfigurationName: demo-dummy
#statelessSnapshotName: demo-dummy-1 # overrides statelessDefaultSnapshotName

# dummy host status
dn: dc=status,macAddress=00:00:00:00:00:00,dc=hosts,dc=stateless,ou=services,dc=stateless-demo,dc=devel,dc=redhat,dc=com
objectclass: statelessClientStatus
dc: status
statelessProtocolName: nfs
statelessConfigurationName: demo-dummy
statelessSnapshotName: demo-dummy-1

# servers container
dn: dc=servers,dc=stateless,ou=services,dc=stateless-demo,dc=devel,dc=redhat,dc=com
objectClass: dcObject
objectClass: statelessContainer
dc: servers

# dummy server
dn: cn=noserver.devel.redhat.com,dc=servers,dc=stateless,ou=services,dc=stateless-demo,dc=devel,dc=redhat,dc=com
objectClass: statelessServer
cn: noserver.devel.redhat.com
statelessNfsPath: /srv/stateless/snapshots
statelessRsyncPath: /srv/stateless/snapshots

# dummy configuration
dn: statelessConfigurationName=demo-dummy,dc=stateless,ou=services,dc=stateless-demo,dc=devel,dc=redhat,dc=com
objectClass: statelessConfiguration
statelessConfigurationName: demo-dummy
statelessDefaultSnapshotName: demo-dummy1

# dummy snapshot
dn: statelessSnapshotName=demo-dummy1,statelessConfigurationName=demo-dummy,dc=stateless,ou=services,dc=stateless-demo,dc=devel,dc=redhat,dc=com
objectClass: statelessSnapshot
statelessSnapshotName: demo-dummy1
statelessSnapshotServer: noserver.devel.redhat.com
statelessSnapshotServer: noserver1.devel.redhat.com
EOF
